
import { override } from "first-di";
import { Env } from "../env/env";
import { AssemblyController } from "../../features/assembly_create/assembly_create_controller";
import { AssemblyPreviewsController } from "../../features/assembly_previews/assembly_previews_controller";
import { EntityRepository } from "../repository/entity_repository";
import { ZipRepository } from "../repository/zip_repository";
import { ComputeRepository } from "../repository/compute_repository";
 
 
export const locator = (env: Env) => {
  // override(Env, env)
  registerController(env)
  registerRepository(env)
 
};
const registerRepository  = (env:Env) => {
  
  override(ZipRepository, ZipRepository);
  override(EntityRepository, EntityRepository);
  override(ComputeRepository,ComputeRepository);
 
}
const registerController = (env: Env) => {
  override(AssemblyController,AssemblyController)
  override(AssemblyPreviewsController, AssemblyPreviewsController)

}